Bug 781906 - Notify-send options does not work
Notify-send options does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: notification-daemon (Show other bugs)
20
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-15 22:52 EST by Unknown User
Modified: 2014-03-14 08:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-13 10:15:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Unknown User 2012-01-15 22:52:27 EST
Running FC16 with gnome.
notify-send has the following options:

$ notify-send --help
Usage:
  notify-send [OPTION...] <SUMMARY> [BODY] - create a notification

Help Options:
  -?, --help                        Show help options

Application Options:
  -u, --urgency=LEVEL               Specifies the urgency level (low, normal, critical).
  -t, --expire-time=TIME            Specifies the timeout in milliseconds at which to expire the notification.
  -i, --icon=ICON[,ICON...]         Specifies an icon filename or stock icon to display.
  -c, --category=TYPE[,TYPE...]     Specifies the notification category.
  -h, --hint=TYPE:NAME:VALUE        Specifies basic extra data to pass. Valid types are int, double, string and byte.
  -v, --version                     Version of the package.


The -u (urgency level) option is used to set urgency of the notifications. The notification's are color coded based on the level of urgency you specify - grey for low, blue for normal and red for critical.
This is a very useful option, but on fc16+gnome the option does not seem to work, or are overriden by some theme? that has been set by fedora.

See http://www.techpulp.com/blog/2010/08/how-to-show-desktop-pop-up-notification-in-linux-using-notify-send-command/ for how the notifications should be.

Similarly the -t (expire time) for notifications does not work. Whether i use this option or not, the notifications always appear for the same amount of time.
Comment 1 Fedora End Of Life 2013-01-16 08:02:40 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 08:41:33 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Unknown User 2014-03-13 05:52:22 EDT
This still happens on FC20.
Comment 4 Unknown User 2014-03-13 05:56:54 EDT
This is annoying. It has been lingering around for some versions of fedora and does not look like it will be resolved soon. Please work with the libnotify folks to get this working. Its a shame that advertised options are not working.
Comment 5 Unknown User 2014-03-13 05:59:50 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=829269 is also for the same problem.
Comment 6 Unknown User 2014-03-13 10:04:23 EDT
A similar bug on ubuntu - https://bugs.launchpad.net/ubuntu/+source/notify-osd/+bug/390508
Comment 7 Matthias Clasen 2014-03-13 10:15:55 EDT
It is still WONTFIX, I'm afraid.

notify-send does send these options along, and it is at the discretion of the daemon implementation to do something with them. gnome-shell's implementation does look at urgency when deciding how to handle it (not color-coding, though). And it ignores the application-specified expiration time. Thats deliberate and won't change.
Comment 8 Unknown User 2014-03-14 08:04:18 EDT
Ok, it looks like this works with mate-notification-daemon though. I hope that behavior wont change.

Note You need to log in before you can comment on or make changes to this bug.